
From: "Andi Kleen" <ak@suse.de>

There were no reports about the previous warning for FPU exceptions in the
kernel, so make it a die() now.

Also improve the error messages slightly.

Signed-off-by: Andi Kleen <ak@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/x86_64/kernel/traps.c |   10 ++--------
 1 files changed, 2 insertions(+), 8 deletions(-)

diff -puN arch/x86_64/kernel/traps.c~x86_64-make-kernel-math-errors-a-die-now arch/x86_64/kernel/traps.c
--- 25/arch/x86_64/kernel/traps.c~x86_64-make-kernel-math-errors-a-die-now	Thu Apr  7 15:11:03 2005
+++ 25-akpm/arch/x86_64/kernel/traps.c	Thu Apr  7 15:11:03 2005
@@ -733,14 +733,8 @@ static int kernel_math_error(struct pt_r
 		return 1;
 	}
 	notify_die(DIE_GPF, str, regs, 0, 16, SIGFPE);
-#if 0
-	/* This should be a die, but warn only for now */
+	/* Illegal floating point operation in the kernel */
 	die(str, regs, 0);
-#else
-	printk(KERN_DEBUG "%s: %s at ", current->comm, str);
-	printk_address(regs->rip);
-	printk("\n");
-#endif
 	return 0;
 }
 
@@ -824,7 +818,7 @@ asmlinkage void do_simd_coprocessor_erro
 
 	conditional_sti(regs);
 	if ((regs->cs & 3) == 0 &&
-        	kernel_math_error(regs, "simd math error"))
+        	kernel_math_error(regs, "kernel simd math error"))
 		return;
 
 	/*
_
